﻿Public Class frmPrehMat
    Private Sub TblMaterialBindingNavigatorSaveItem_Click(sender As Object, e As EventArgs)
        Me.Validate()
        Me.TblMaterialBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.DsData)

    End Sub

    Private Sub frmPrehMat_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'DsData.tblMerneJednotky' table. You can move, or remove it, as needed.
        Me.TblMerneJednotkyTableAdapter.Fill(Me.DsData.tblMerneJednotky)
        'TODO: This line of code loads data into the 'DsData.tblPalety' table. You can move, or remove it, as needed.
        Me.TblPaletyTableAdapter.Fill(Me.DsData.tblPalety)
        'TODO: This line of code loads data into the 'DsData.tblMaterial' table. You can move, or remove it, as needed.
        Me.TblMaterialTableAdapter.Fill(Me.DsData.tblMaterial)

    End Sub

    Private Sub btnZavrit_Click(sender As Object, e As EventArgs) Handles btnZavrit.Click
        Me.Close()
    End Sub

    Private Sub btnPrvni_Click(sender As Object, e As EventArgs) Handles btnPrvni.Click
        TblMaterialBindingSource.MoveFirst()
    End Sub

    Private Sub btnPosledni_Click(sender As Object, e As EventArgs) Handles btnPosledni.Click
        TblMaterialBindingSource.MoveLast()
        '  TblMaterialBindingSource.Position = TblMaterialBindingSource.Count - 1

    End Sub

    Sub RefreshRazeni()
        If rbRaditCisloMat.Checked Then
            TblMaterialBindingSource.Sort = "ID_Materialu ASC"
        Else
            TblMaterialBindingSource.Sort = "Nazev_Mat ASC"
        End If
    End Sub

    Private Sub rbRaditCisloMat_CheckedChanged(sender As Object, e As EventArgs) Handles rbRaditCisloMat.CheckedChanged
        RefreshRazeni()
    End Sub

    Private Sub rbRaditNazevMat_CheckedChanged(sender As Object, e As EventArgs) Handles rbRaditNazevMat.CheckedChanged
        RefreshRazeni()
    End Sub

    Private Sub dgvMaterial_Sorted(sender As Object, e As EventArgs) Handles dgvMaterial.Sorted
        rbRaditCisloMat.Checked = (dgvMaterial.SortedColumn.Index = 0)
        rbRaditNazevMat.Checked = (dgvMaterial.SortedColumn.Index = 1)

    End Sub

    Private Sub btnOdstranit_Click(sender As Object, e As EventArgs) Handles btnOdstranit.Click

        Dim akt_cis_mat As Integer = TblMaterialBindingSource.Current("ID_Materialu")

        Dim strSQL As String
        strSQL = "SELECT * FROM tblPalety WHERE ID_Materialu=" & akt_cis_mat

        Dim dv As DataView

        dv = SpustSQL(strSQL)

        If dv.Count > 0 Then
            MsgBox("Nelze smazat, tento materiál je rezervován nebo obsažen v " &
                   dv.Count & " paletách", MsgBoxStyle.Exclamation, "POZOR")
        Else
            TblMaterialBindingSource.RemoveCurrent()
            UlozDoDb("Nepodařilo se odstranit z databáze")
        End If
    End Sub

    Private Sub UlozDoDb(err_hlaska As String)
        Try
            TblMaterialBindingSource.EndEdit()
            TblMaterialTableAdapter.Update(DsData.tblMaterial)
        Catch ex As Exception
            MsgBox(err_hlaska & vbNewLine & ex.ToString, MsgBoxStyle.Critical)
        End Try
    End Sub

    Private Sub TblMaterialBindingSource_PositionChanged(sender As Object, e As EventArgs) Handles TblMaterialBindingSource.PositionChanged

        'Dim selCriteria As String = "ID_Materialu = " & TblMaterialBindingSource.Current("ID_Materialu")

        'If DsData.tblPalety.Select(selCriteria).Count > 0 Then
        '    tbCelkoveMnozstvi.Text = DsData.tblPalety.Compute("SUM (Mnoz_Pa)", selCriteria)
        'Else
        '    tbCelkoveMnozstvi.Text = 0
        'End If

        Dim idmat As Integer = TblMaterialBindingSource.Current("ID_Materialu")
        Dim strSQL As String = "SELECT        ID_Materialu, SUM(Mnoz_Pa) AS Mnozstvi
                                FROM            tblPalety
                                GROUP BY ID_Materialu
                                HAVING        (ID_Materialu = " & idmat & ")"

        Dim dv As DataView = SpustSQL(strSQL)

        If dv.Count > 0 Then
            tbCelkoveMnozstvi.Text = dv(0)("Mnozstvi")
        Else
            tbCelkoveMnozstvi.Text = 0
        End If

    End Sub

    '' true - zapni editaci
    Sub RezimEditace(editace As Boolean)

        pnlComp.Enabled = editace
        pnlUkladani.Enabled = editace
        tbKomentar.Enabled = editace

        pnlHledej.Enabled = Not editace
        pnlOvladani.Enabled = Not editace
        gbRadit.Enabled = Not editace
        dgvMaterial.Enabled = Not editace
        dgvPalety.Enabled = Not editace

        btnZavrit.Enabled = Not editace

    End Sub

    Private Sub btnZmenit_Click(sender As Object, e As EventArgs) Handles btnZmenit.Click
        RezimEditace(True)
        cmbMerna.Focus()
    End Sub

    Private Sub btnUlozit_Click(sender As Object, e As EventArgs) Handles btnUlozit.Click
        RezimEditace(False)
    End Sub
End Class